<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">

<head>

    <th:block th:fragment="fonts">
        <!-- Cookie Consent plugin fonts - not required by nhs projects -->
        <!-- fonts are loaded by nhs toolkit by default -->
        <link th:href="@{/webjars/spring-cookie-consent/stylesheets/cookie-consent-font.css}" media="screen" rel="stylesheet" />

    </th:block>

    <th:block th:fragment="head-links">
        <!-- Cookie Consent plugin core css file -->
        <link th:href="@{/webjars/spring-cookie-consent/stylesheets/cookie-consent.css}" media="screen" rel="stylesheet" />
    </th:block>

</head>
<body>

<th:block th:fragment="scripts">
    <!-- Cookie Consent plugin core js file  -->
    <script th:src="@{/webjars/spring-cookie-consent/javascript/main.js}"
            th:attr="data-nobanner=${noBanner != null ? noBanner : false},
            data-enable-splunk=${enableSplunk != null ? enableSplunk : false}"
            type="text/javascript"></script>
</th:block>

<th:block th:fragment="banner">
    <div id="nhsuk-cookie-banner-container" style="display: none;">
        <div id="nhsuk-cookie-banner" data-nosnippet="true">
            <div class="nhsuk-cookie-banner" id="cookiebanner">
                <div class="nhsuk-width-container">
                    <h2>Cookies on the NHS website</h2>
                    <p>We've put some small files called cookies on your device to make our site work.</p>
                    <p>We'd also like to use analytics cookies. These collect feedback and send information about how
                        our site is used to services called Adobe Analytics, Qualtrics Feedback,
                        Microsoft Clarity and Google Analytics. We use this information to improve our site.</p>
                    <p>Let us know if this is OK. We'll use a cookie to save your choice. You can
                        <a id="nhsuk-cookie-banner__link"
                           th:href="${
                           policyUrl != '' && policyUrl != null ?
                           policyUrl :
                           'https://www.nhs.uk/our-policies/cookies-policy/'
                           }">
                            read more about our cookies
                        </a> before you choose.</p>
                    <ul>
                        <li>
                            <button class='nhsuk-button' id="nhsuk-cookie-banner__link_accept_analytics" href="#">
                                I'm OK with analytics cookies
                            </button>
                        </li>
                        <li>
                            <button class='nhsuk-button' id="nhsuk-cookie-banner__link_accept" href="#">
                                Do not use analytics cookies
                            </button>
                        </li>
                    </ul>
                </div>
            </div>

            <div class="nhsuk-success-banner" id="nhsuk-cookie-confirmation-banner" style="display:none;">
                <div class="nhsuk-width-container">
                    <p id="nhsuk-success-banner__message">You can change your cookie settings at any time using our
                        <a  th:href="${
                           policyUrl != '' && policyUrl != null ?
                           policyUrl :
                           'https://www.nhs.uk/our-policies/cookies-policy/'
                           }">cookies page</a>.</p>
                </div>
            </div>
        </div>
    </div>
</th:block>
</body>
</html>